Bug 460322 - Desktop becomes unresponsive when trying to type or use the mouse after using "Turn Off Screen" shortcut.
Summary: Desktop becomes unresponsive when trying to type or use the mouse after using...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: wayland-generic (show other bugs)
Version: git-stable-Plasma/5.26
Platform: Archlinux Linux
: VHI normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-12 20:00 UTC by Andrej Halveland
Modified: 2022-10-13 19:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.26.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Halveland 2022-10-12 20:00:06 UTC
When attempting to use the Screen Off shortcut it works just fine (when executing it multiple times it seems to get visually buggy, no big deal) but when If I for example press the shortcut for turning Off the Screen and accidentally press another button or move the mouse after pressing the shortcut for turning off the screen, it seems to "wake up" but doing practically anything is not possible anymore, and only way to fix it is to actually suspend the system, afterwards it's fine.


STEPS TO REPRODUCE
1.  Bind a keybind to the "Turn Off Screen" shortcut.
2.  Try typing on the keyboard or move the mouse while or right after activating the shortcut.

OBSERVED RESULT
Screen wakes up and the desktop becomes unusable.

EXPECTED RESULT
Screen should wake up and the desktop remain fully functional.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.25.90 / 5.26
KDE Frameworks Version: 5.98.0 / 5.99.0
Qt Version: 5.15.6
Kernel Version: 5.19.13-arch1-g14-1
Graphics Platform: Wayland
Processors: AMD Ryzen 9 4900HS 8-Core Processor
Memory:  16GB of RAM
Graphics Processor: Integrated: Vega 8     Dedicated: NVIDIA GeForce RTX 2060 Max-Q
Manufacturer: ASUS (Zephyrus G15 GA502IV)

ADDITIONAL INFORMATION
I believe I first noticed this on Plasma 5.24.x around when I got a new laptop, of course this could be much, much older bug.
Video demonstration: https://www.youtube.com/watch?v=kU-yMYr72e8
Comment 1 Bug Janitor Service 2022-10-13 07:21:41 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/3043
Comment 2 Vlad Zahorodnii 2022-10-13 13:42:22 UTC
Git commit c56517eccc258a8a3cf7fc953540b10de3f3ac26 by Vlad Zahorodnii.
Committed on 13/10/2022 at 13:00.
Pushed by vladz into branch 'master'.

backends/drm: Fix leaving dangling dpms input event filter

If the output is turned back on before m_turnOffTimer expires, the
dpms input event filter won't be reset and all input events will go to
the void.

M  +1    -0    src/backends/drm/drm_output.cpp

https://invent.kde.org/plasma/kwin/commit/c56517eccc258a8a3cf7fc953540b10de3f3ac26
Comment 3 Vlad Zahorodnii 2022-10-13 13:44:07 UTC
Git commit b08511626c0f7ab82c4929abcf8daab521ce0255 by Vlad Zahorodnii.
Committed on 13/10/2022 at 13:44.
Pushed by vladz into branch 'Plasma/5.26'.

backends/drm: Fix leaving dangling dpms input event filter

If the output is turned back on before m_turnOffTimer expires, the
dpms input event filter won't be reset and all input events will go to
the void.


(cherry picked from commit c56517eccc258a8a3cf7fc953540b10de3f3ac26)

M  +1    -0    src/backends/drm/drm_output.cpp

https://invent.kde.org/plasma/kwin/commit/b08511626c0f7ab82c4929abcf8daab521ce0255